
/* def.h 1996/7/18 */

/* SPARC Integer Instruction Simulator         */
/*       Copyright (C) 1995 by FUJITSU LIMITED */
/*                 Primary writer: Y.Nakashima */
/*          nakashim@pine.mfd.cs.fujitsu.co.jp */

#ifndef LLU_DEFINED
typedef long long unsigned llu;
typedef long long int      ll;
#define LLU_DEFINED
#endif
unsigned int swap2();
unsigned int swap3();
unsigned int swap4();
llu          swap8();

#ifndef SPARC_MEMSIZE
#define SPARC_MEMSIZE	0x01000000 /* default size is 16MB */
#endif

#ifndef SPARC_STKBOTM
#define SPARC_STKBOTM   0x00800000 /* default location is 8MB */
#endif

#ifndef SPARC_WINSIZE
#define SPARC_WINSIZE	8 /* default size is 8 */
#endif

struct sparc_op {
    char	*name;
    int 	(*func)();
};

llu		sparc_step;		/* sparc step */

unsigned char	*mem;			/* guest memory */
unsigned	winno; 			/* window# */
unsigned	opad;			/* operand */
unsigned	*m[32];  		/* regmap  */
unsigned	g[8];			/* global  */
unsigned	l[8*SPARC_WINSIZE];	/* local   */
unsigned	o[8*SPARC_WINSIZE];	/* in/out  */
unsigned	y;			/* Y reg   */
unsigned	opc;			/* old PC  */
unsigned	pc;			/* PC      */
unsigned	npc;			/* nPC     */
unsigned	annul;			/* annul   */
unsigned	cc_n;			/* CC_N    */
unsigned	cc_z;			/* CC_Z    */
unsigned	cc_v;			/* CC_V    */
unsigned	cc_c;			/* CC_C    */

