/*
 * $Id: assert.h,v 1.1 1992/02/26 00:34:04 weiss Exp $
 *
 * Copyright (c) 1991 HaL Computer Systems, Inc.  All rights reserved.
 * UNPUBLISHED -- rights reserved under the Copyright Laws of the United
 * States.  Use of a copyright notice is precautionary only and does not
 * imply publication or disclosure.
 * 
 * This software contains confidential information and trade secrets of HaL
 * Computer Systems, Inc.  Use, disclosure, or reproduction is prohibited
 * without the prior express written permission of HaL Computer Systems, Inc.
 * 
 *                         RESTRICTED RIGHTS LEGEND
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions as set forth in subparagraph (c)(l)(ii) of the Rights in
 * Technical Data and Computer Software clause at DFARS 252.227-7013.
 *                        HaL Computer Systems, Inc.
 *                  1315 Dell Avenue, Campbell, CA  95008
 * 
 */

/*
 * $Header: /sim/design.repository/CPUR1/timer/tools/assert.h,v 1.1 1992/02/26 00:34:04 weiss Exp $
 *
 * #defines which implement debug assertions in the scalar assembler
 */
#ifndef	INCLUDED_ASSERT

#define INCLUDED_ASSERT

#ifdef DEBUG
#define ASSERT(x,msg)	{if (!(x)){(void)fprintf(stderr,"Assertion failed: file \"%s\", line %d\n%s\n", __FILE__, __LINE__,msg);exit(1);}}
#define ASSERT0(x)	{if (!(x)){(void)fprintf(stderr,"Assertion failed: file \"%s\", line %d\n", __FILE__, __LINE__);exit(1);}}

#else
#define ASSERT(ex,msg)
#define	ASSERT0(ex)
#endif


#endif	INCLUDED_ASSERT
