/*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)head.sys:sys/elf_KAI.h	1.3"

#ifndef _SYS_ELF_KAI_H
#define _SYS_ELF_KAI_H

#define	EF_KAI_NONE		0
#define	EF_KAI_FP		1	/* Floating point chip saved state */
#define	EF_KAI_WEITEK		2	/* Weitek chip saved state */

#define R_KAI_NONE	 	0	/* relocation type */
#define R_KAI_8 		1
#define R_KAI_16  		2
#define R_KAI_32    		3
#define R_KAI_64    		4
#define R_KAI_DISP27		5
#define R_KAI_DISP34		6
#define R_KAI_DISP47		7
#define R_KAI_PC32  	 	8
#define R_KAI_PCDW27		9
#define R_KAI_PCDW34		10
#define R_KAI_PCDW47		11
#define R_KAI_GOT32	 	12
#define R_KAI_GOTDW27		13
#define R_KAI_GOTDW34		14
#define R_KAI_GOTDW47		15
#define R_KAI_PLT32	 	16
#define R_KAI_PLTDW27		17
#define R_KAI_PLTDW34		18
#define R_KAI_PLTDW47		19
#define R_KAI_COPY		20
#define R_KAI_GLOB_DAT		21
#define R_KAI_JMP_SLOT		22
#define R_KAI_RELATIVE		23
#define R_KAI_GOTOFF		24
#define R_KAI_GOTPC		25
#define R_KAI_NUM		26	/* must be > last */

#define ELF_KAI_MAXPGSZ		0x8000	/* maximum page size */

#endif
