
/* system.s 1995/7/18 */

/* M-on-RISC Dynamically Translating Simulator */
/*	 Copyright (C) 1995 by FUJITSU LIMITED */
/*		   Primary writer: Y.Nakashima */
/*	    nakashim@pine.mfd.cs.fujitsu.co.jp */

	.file	"system.s"
	.section ".data"
	.align	8
	.global system_RcsId
system_RcsId:
	.asciz	"$Id: system.s,v 3.4 1996/10/28 05:05:41 nakashim Exp nakashim $"

	.section ".text"
	.align	4
	.global sdiv
sdiv:
	sra	%o0,31,%g1
	wr	%g0,%g1,%y
	sdiv	%o0,%o1,%o0
	retl
	nop

	.section ".text"
	.align	4
	.global srem
srem:
	sra	%o0,31,%g1
	wr	%g0,%g1,%y
	sdiv	%o0,%o1,%g1
	smul	%o1,%g1,%g1
	sub	%o0,%g1,%o0
	retl
	nop

	.section ".text"
	.align	4
	.global udiv
udiv:
	wr	%g0,%g0,%y
	udiv	%o0,%o1,%o0
	retl
	nop

	.section ".text"
	.align	4
	.global urem
urem:
	wr	%g0,%g0,%y
	udiv	%o0,%o1,%g1
	umul	%o1,%g1,%g1
	sub	%o0,%g1,%o0
	retl
	nop

	.section ".text"
	.align	4
	.global open
open:
	add	%g0,5,%g1
	ta	8
	retl 
	nop 

	.section ".text"
	.align	4
	.global read
read:
	add	%g0,3,%g1
	ta	8
	retl 
	nop 

	.section ".text"
	.align	4
	.global write
write:
	add	%g0,4,%g1
	ta	8
	retl 
	nop 

	.section ".text"
	.align	4
	.global _exit
_exit:
	add	%g0,1,%g1
	ta	8
	retl 
	nop 

/**/
