
/* SPARC Integer Instruction Simulator         */
/*       Copyright (C) 1995 by FUJITSU LIMITED */
/*                 Primary writer: Y.Nakashima */
/*          nakashim@pine.mfd.cs.fujitsu.co.jp */

/* ssim.h 1995/7/18 */

#ifndef MEMSIZE
#define MEMSIZE	0x01000000 /* default size is 16MB */
#endif

#ifndef WINSIZE
#define WINSIZE	8 /* default size is 8 */
#endif

unsigned char	mem[MEMSIZE];	/* guest memory */
unsigned	mofs;		/* start address */
unsigned	winno; 		/* window# */
unsigned	*m[32];  	/* regmap  */
unsigned	g[8];		/* global  */
unsigned	l[8*WINSIZE];	/* local   */
unsigned	o[8*WINSIZE];	/* in/out  */
unsigned	y;		/* Y reg   */
unsigned	opc;		/* old PC  */
unsigned	pc;		/* PC      */
unsigned	npc;		/* nPC     */
unsigned	annul;		/* annul   */
unsigned	cc_n;		/* CC_N    */
unsigned	cc_z;		/* CC_Z    */
unsigned	cc_v;		/* CC_V    */
unsigned	cc_c;		/* CC_C    */
unsigned	addr;		/* operand */

unsigned	flag;		/* trace flag */

#define	TRACE_M		0x00000001
#define	TRACE_SPARC	0x00000002

struct op {
    char	*name;
    void	(*func)();
};

typedef long long unsigned llu;
typedef long long int      ll;

llu sparc_step;

