/*
 * $Id: sym.h,v 1.2 1993/12/17 19:18:24 ae Exp $
 *
 * Copyright (c) 1991 HaL Computer Systems, Inc.  All rights reserved.
 * UNPUBLISHED -- rights reserved under the Copyright Laws of the United
 * States.  Use of a copyright notice is precautionary only and does not
 * imply publication or disclosure.
 * 
 * This software contains confidential information and trade secrets of HaL
 * Computer Systems, Inc.  Use, disclosure, or reproduction is prohibited
 * without the prior express written permission of HaL Computer Systems, Inc.
 * 
 *                         RESTRICTED RIGHTS LEGEND
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions as set forth in subparagraph (c)(l)(ii) of the Rights in
 * Technical Data and Computer Software clause at DFARS 252.227-7013.
 *                        HaL Computer Systems, Inc.
 *                  1315 Dell Avenue, Campbell, CA  95008
 * 
 */

#ifndef	INCLUDED_sym_h

#define	INCLUDED_sym_h
/*
**
**  char *Symbolic_Address(PTR address)
**	address:	The address of a variable or function
**
**	returns the symbolic address of address (if possible)
**	Function must be initialized by
**
*/
char *Symbolic_Address();


/*
**
**  BOOLEAN Symbolic_Address_Init(file);
**	file:		pathname to a.out
**
**	Initialize symbol table information necessary to make
**	Sym_Address work.
**
*/
BOOLEAN Symbolic_Address_Init();
#ifndef DEBUG
int DEBUG = 0;
#endif DEBUG


#endif	INCLUDED_sym_h
