/*
 * $Id: syntax.h,v 1.1 1992/02/26 00:34:14 weiss Exp $
 *
 * Copyright (c) 1991 HaL Computer Systems, Inc.  All rights reserved.
 * UNPUBLISHED -- rights reserved under the Copyright Laws of the United
 * States.  Use of a copyright notice is precautionary only and does not
 * imply publication or disclosure.
 * 
 * This software contains confidential information and trade secrets of HaL
 * Computer Systems, Inc.  Use, disclosure, or reproduction is prohibited
 * without the prior express written permission of HaL Computer Systems, Inc.
 * 
 *                         RESTRICTED RIGHTS LEGEND
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions as set forth in subparagraph (c)(l)(ii) of the Rights in
 * Technical Data and Computer Software clause at DFARS 252.227-7013.
 *                        HaL Computer Systems, Inc.
 *                  1315 Dell Avenue, Campbell, CA  95008
 * 
 */

#ifndef	INCLUDED_syntax_h


#define	INCLUDED_syntax_h
/*
**	Syntactic sugar
*/


#define Local   static
#define Extern  extern
#define Export	extern
#define not     !
#define	and	&&
#define or      ||
#define is	==
#define	isnt	!=

#define streq(x, y)		(strcmp((x),(y)) == 0)
#define streqn(x, y, n)		(strncmp((x),(y),(n)) == 0)

typedef unsigned int    UINT, *UINTp;

typedef char		*PTR;

typedef enum BOOLEAN {
    false,
    true
} BOOLEAN;


#endif	INCLUDED_syntax_h
